<ion-header class="login-header">
  <ion-row>
    <div class="logo"><img src="assets/imgs/logo.png"></div>
  </ion-row>
</ion-header>

<ion-content class="login-content">
  <ion-row class="login-form-row" >
    <form #signupForm="ngForm" novalidate style="width: 100%;">
      <ion-list>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
          <ion-input type="text" name="name" [(ngModel)]="user.name" #name="ngModel" required placeholder="{{translate.signupPage[0][translate.selectedlanguage]}}"></ion-input>
          <ion-icon ios="ios-person" md="md-person" item-right class="input-icon"></ion-icon>
        </ion-item>
        <small class="error_email" *ngIf="invalidName">{{translate.signupPage[1][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
          <ion-input type="tel" name="mobile" [(ngModel)]="user.mobile" #mobile="ngModel" maxlength="10" required placeholder="{{translate.signupPage[2][translate.selectedlanguage]}}"></ion-input>
          <ion-icon ios="ios-call" md="md-call" item-right class="input-icon"></ion-icon>
        </ion-item>
        <small class="error_email" *ngIf="invalidMobile">{{translate.signupPage[3][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
          <ion-input type="text" name="email" [(ngModel)]="user.email" #email="ngModel" required placeholder="{{translate.signupPage[4][translate.selectedlanguage]}}"></ion-input>
          <ion-icon ios="ios-mail" md="md-mail" item-right class="input-icon"></ion-icon>
        </ion-item>
        <small class="error_email" *ngIf="invalidEmail">{{translate.signupPage[17][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
            <ion-input type="{{displayPassword ? 'password' : 'text'}}" name="password" [(ngModel)]="user.password" placeholder="{{translate.signupPage[5][translate.selectedlanguage]}}"></ion-input>
            <ion-icon ios="ios-add-circle" md="md-add-circle" item-right class="input-icon" (click)="generatePassword()"></ion-icon>
            <ion-icon ios="ios-eye-off" md="md-eye-off" item-right class="input-icon" (click)="viewPassword()" *ngIf="displayPassword"></ion-icon>
            <ion-icon ios="ios-eye" md="md-eye" item-right class="input-icon" (click)="viewPassword()" *ngIf="hidePassword"></ion-icon>
        </ion-item>
        <small class="error_email" *ngIf="invalidPassword">{{translate.signupPage[6][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
        <small class="error_email" *ngIf="invalidPasswordLength">{{translate.signupPage[16][translate.selectedlanguage]}}<ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
          <ion-input type="{{displayPassword ? 'password' : 'text'}}" name="password" [(ngModel)]="user.confirm_password" placeholder="{{translate.signupPage[7][translate.selectedlanguage]}}"></ion-input>
          <ion-icon ios="ios-lock" md="md-lock" item-right class="input-icon"></ion-icon>
        </ion-item>
        <small class="error_email" *ngIf="invalidConfirmPassword">{{translate.signupPage[8][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>
        <small class="error_email" *ngIf="invalidMatch">{{translate.signupPage[9][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item>
          <ion-label>{{translate.signupPage[10][translate.selectedlanguage]}}</ion-label>
          <ion-select name="who" [(ngModel)]="user.who" #who="ngModel" cancelText="Cancel" okText="Select" required>
            <ion-option value="EFT">{{translate.signupPage[11][translate.selectedlanguage]}}</ion-option>
            <ion-option value="EBR">{{translate.signupPage[12][translate.selectedlanguage]}}</ion-option>
          </ion-select>
        </ion-item>
        <small class="error_password" *ngIf="invalidUserType">{{translate.signupPage[13][translate.selectedlanguage]}} <ion-icon ios="ios-warning" md="md-warning"></ion-icon></small>

        <div style="width: 100%;height: 10px;"></div>
        <ion-item style="margin-top:5%;">
          <ion-row style="width:100%;">
            <ion-col col-6 class="form-buttons">
              <button ion-button class="reset-button" (click)="login()">{{translate.signupPage[14][translate.selectedlanguage]}}</button>
            </ion-col>
            <ion-col col-6 class="form-buttons">
              <button ion-button class="login-button" (click)="register()">{{translate.signupPage[15][translate.selectedlanguage]}}</button>
            </ion-col>
          </ion-row>
        </ion-item>
      </ion-list>
    </form>
  </ion-row>
</ion-content>
